PDA

View Full Version : GeForce 7950 GT with driver 173.14.27 "-1 No such device"


bgnv
09-03-10, 10:00 AM
(Sysadmins: please delete this thread for me. The correct forum to put it into is http://www.nvnews.net/vbulletin/showthread.php?p=2312789#post2312789)

I have a GeForce 7950 GT card running on a AMD64 machine. Downloading and recompiling 173.14.27 using the same GCC version used with a new Linux kernel fails to load.

I am running this Debian Linux kernel:

$ cat /proc/version
Linux version 2.6.32-5-amd64 (Debian 2.6.32-20) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Thu Aug 12 13:01:50 UTC 2010


The previous driver version 173.14.18 was working fine on the following previous kernel version 2.6.32-trunk-amd64:

$ cat /proc/version
Linux version 2.6.32-trunk-amd64 (Debian 2.6.32-5) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-6) ) #1 SMP Sun Jan 10 22:40:40 UTC 2010


(I still have the 2.6.32-trunk-amd64 kernel version, and when I rebooted into it, I could bring up the full GNOME Desktop with the 173.14.18 driver).

First the short snippet of the error I get, followed by a link to a GitHub Gist of the full log listing:

-> Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.ko'. This happens most
frequently when this kernel module was built against the wrong or
improperly configured kernel sources, with a version of gcc that differs
from the one used to build the target kernel, or if a driver such as
rivafb/nvidiafb is present and prevents the NVIDIA kernel module from
obtaining ownership of the NVIDIA graphics device(s).

Please see the log entries 'Kernel module load error' and 'Kernel
messages' at the end of the file '/var/log/nvidia-installer.log' for
more information.
-> Kernel module load error: insmod: error inserting './usr/src/nv/nvidia.ko':
-1 No such device


I've pasted the full /var/log/nvidia-installer.log file content on GitHub Gist at:

nvidia-installer.GeForce.7950.GT.debian.kernel.2.6.32-5-amd64.AMD64.driver.173.14.27.no.such.device.log (http://gist.github.com/raw/563964/55340ecfb7dc186c094132cb66257b889546d98e/nvidia-installer.GeForce.7950.GT.debian.kernel.2.6.32-5-amd64.AMD64.driver.173.14.27.no.such.device.log)

The log suggests that I might have other drivers loaded such as:

nouveau, rivafb, nvidiafb, or rivatv

I doubt it. I've either used the generic driver, or the latest nvidia drivers that I've recompiled each and every time on the GCC compiler that matches the version used with the new kernel. But I don't know how to check that either, to be honest.

Any ideas as to what could be the cause?

Thanks!
Brent

saturnotaku
09-03-10, 10:21 AM
And you didn't post this in the Linux section (when you're clearly know of its existence) because...?

bgnv
09-03-10, 10:00 PM
And you didn't post this in the Linux section (when you're clearly know of its existence) because...?

Sigh. You are right. How do I "move" a post over there without special privileges?

bg